##
##  perltidy.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         perltidy
Summary:      Perl Source Code Indenter and Reformatter
URL:          http://perltidy.sourceforge.net/
Vendor:       Steve Hancock
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Perl
License:      GPL
Version:      20250711
Release:      20250712

#   list of sources
Source0:      http://download.sourceforge.net/perltidy/Perl-Tidy-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, perl

%description
    Perltidy reads a perl script and writes an indented, reformatted
    script. The default formatting tries to follow the recommendations
    in perlstyle(1).

%track
    prog perltidy = {
        version   = %{version}
        url       = http://sourceforge.net/projects/perltidy/files/
        regex     = Perl-Tidy-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n Perl-Tidy-%{version}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/perltidy/Perl \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        -e 's;#!/usr/bin/perl;#!%{l_prefix}/bin/perl;g' \
        -e 's:package main;:package main; use lib "%{l_prefix}/libexec/perltidy";:' \
        bin/perltidy $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        lib/Perl/Tidy.pm $RPM_BUILD_ROOT%{l_prefix}/libexec/perltidy/Perl/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

